
/*
 * This file is part of EKG/gEKG, a software package to record EKG.
 * Copyright  2003 Lars Stollenwerk
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.  
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef GEKGHELP_H
#define GEKGHELP_H

#include <gtk--/window.h>
#include <gtk--/notebook.h>
#include <gtk--/button.h>
#include <gtk--/frame.h>
#include <gtk--/label.h>
#include <gtk--/pixmap.h>
#include <gtk--/box.h>
#include <gtk--/buttonbox.h>
#include <gtk--/scrolledwindow.h>
using namespace std;

/**
 * Dieses Fenster zeigt Hilfe an. 
 * <ul>
 *   <li> Ableitungen
 *   <li> Tastenkrzel
 *   <li> ber gEKG
 * </ul>
 *
 * @author Lars Stollenwerk, Februar 2003
 */
class gEKGhelp : public Gtk::Window
{
public:
  /// Konstruktor
  gEKGhelp();
  /// OK Button
  Gtk::Button OKButton;
private:
  Gtk::VBox vbox;
  Gtk::HButtonBox bbox;
  Gtk::Notebook notebook;

  //
  // Ableitungen
  //
  Gtk::Frame frame1Left;
  Gtk::Frame frame1Right;
  Gtk::Frame frame1pLeft;
  Gtk::Frame frame1pRight;
  Gtk::Pixmap pix1Left;
  Gtk::Pixmap pix1Right;
  Gtk::VBox  vbox1Left;
  Gtk::VBox  vbox1Right;
  Gtk::HBox  hbox1;

  //
  // Tasten
  //
  Gtk::Frame frame2;
  Gtk::Label label2;
  
  //
  // About
  //
  Gtk::ScrolledWindow win3;
  Gtk::Frame frame3;
  Gtk::Label label3;

  //
  // Event Handler
  //

  /// Auf Knopfdruck verschwindet das Fenster
  void buttonCallback() { hide(); }
  /// Tastendrcke
  gint keyCallback( GdkEventKey * e );
  /// Fenster wird beim schlieen nicht zerstrt.
  int delete_event_impl(GdkEventAny *event) 
    { buttonCallback(); return true; }

  //
  // Hilfsfunktionen
  //

  /// Daten in einen String schreiben
  void writestring( const char ** const s, string & d );

};

#endif
